Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
35e7438f5612f2527ebf19253f752658249cbf67
[simgrid.git] / examples / simdag / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ../..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 check_PROGRAMS = sd_test$(EXEEXT)
45 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
46         $(srcdir)/test_simdag.in $(top_srcdir)/acmacro/dist-files.mk
47 subdir = examples/simdag
48 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
49 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
50         $(top_srcdir)/acmacro/compiler-flags.m4 \
51         $(top_srcdir)/acmacro/context.m4 \
52         $(top_srcdir)/acmacro/fancy_configury.m4 \
53         $(top_srcdir)/acmacro/flex.m4 \
54         $(top_srcdir)/acmacro/gras_arch.m4 \
55         $(top_srcdir)/acmacro/print_null.m4 \
56         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
57 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
58         $(ACLOCAL_M4)
59 mkinstalldirs = $(install_sh) -d
60 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
61 CONFIG_CLEAN_FILES = test_simdag
62 am_sd_test_OBJECTS = sd_test.$(OBJEXT)
63 sd_test_OBJECTS = $(am_sd_test_OBJECTS)
64 sd_test_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
65 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
66 depcomp = $(SHELL) $(top_srcdir)/depcomp
67 am__depfiles_maybe = depfiles
68 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
69         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
70 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
71         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
72         $(AM_CFLAGS) $(CFLAGS)
73 CCLD = $(CC)
74 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
75         $(AM_LDFLAGS) $(LDFLAGS) -o $@
76 SOURCES = $(sd_test_SOURCES)
77 DIST_SOURCES = $(sd_test_SOURCES)
78 ETAGS = etags
79 CTAGS = ctags
80 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
81 ACLOCAL = @ACLOCAL@
82 ADDR2LINE = @ADDR2LINE@
83 AMDEP_FALSE = @AMDEP_FALSE@
84 AMDEP_TRUE = @AMDEP_TRUE@
85 AMTAR = @AMTAR@
86 AM_CFLAGS = -g
87 AR = @AR@
88 AS = @AS@
89 AUTOCONF = @AUTOCONF@
90 AUTOHEADER = @AUTOHEADER@
91 AUTOMAKE = @AUTOMAKE@
92 AWK = @AWK@
93 BASH = @BASH@
94 CC = @CC@
95 CCDEPMODE = @CCDEPMODE@
96 CFLAGS = @CFLAGS@
97 CPP = @CPP@
98 CPPFLAGS = @CPPFLAGS@
99 CXX = @CXX@
100 CXXCPP = @CXXCPP@
101 CXXDEPMODE = @CXXDEPMODE@
102 CXXFLAGS = @CXXFLAGS@
103 CYGPATH_W = @CYGPATH_W@
104 DEFS = @DEFS@
105 DEPDIR = @DEPDIR@
106 DLLTOOL = @DLLTOOL@
107 DOXYGEN = @DOXYGEN@
108 ECHO = @ECHO@
109 ECHO_C = @ECHO_C@
110 ECHO_N = @ECHO_N@
111 ECHO_T = @ECHO_T@
112 EGREP = @EGREP@
113 EXEEXT = @EXEEXT@
114 FLEXML = @FLEXML@
115 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
116 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
117 GRAS_ARCH_32_BITS_FALSE = @GRAS_ARCH_32_BITS_FALSE@
118 GRAS_ARCH_32_BITS_TRUE = @GRAS_ARCH_32_BITS_TRUE@
119 GRAS_DEP = @GRAS_DEP@
120 GREP = @GREP@
121 GTNETS_CFLAGS = @GTNETS_CFLAGS@
122 GTNETS_LDFLAGS = @GTNETS_LDFLAGS@
123 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
124 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
125 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
126 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
127 INSTALL_DATA = @INSTALL_DATA@
128 INSTALL_PROGRAM = @INSTALL_PROGRAM@
129 INSTALL_SCRIPT = @INSTALL_SCRIPT@
130 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
131 LDFLAGS = @LDFLAGS@
132 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
133 LEX = @LEX@
134 LEXLIB = @LEXLIB@
135 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
136 LIBOBJS = @LIBOBJS@
137 LIBS = @LIBS@
138 LIBTOOL = @LIBTOOL@
139 LN_S = @LN_S@
140 LTLIBOBJS = @LTLIBOBJS@
141 MAINT = @MAINT@
142 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
143 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
144 MAKEINFO = @MAKEINFO@
145 MD5SUM = @MD5SUM@
146 OBJDUMP = @OBJDUMP@
147 OBJEXT = @OBJEXT@
148 PACKAGE = @PACKAGE@
149 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
150 PACKAGE_NAME = @PACKAGE_NAME@
151 PACKAGE_STRING = @PACKAGE_STRING@
152 PACKAGE_TARNAME = @PACKAGE_TARNAME@
153 PACKAGE_VERSION = @PACKAGE_VERSION@
154 PATH_SEPARATOR = @PATH_SEPARATOR@
155 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
156 RANLIB = @RANLIB@
157 SET_MAKE = @SET_MAKE@
158 SHELL = @SHELL@
159 SIMGRID_DEP = @SIMGRID_DEP@
160 STRIP = @STRIP@
161 USE_GTNETS_FALSE = @USE_GTNETS_FALSE@
162 USE_GTNETS_TRUE = @USE_GTNETS_TRUE@
163 VERSION = @VERSION@
164 WARNING = @WARNING@
165 abs_builddir = @abs_builddir@
166 abs_srcdir = @abs_srcdir@
167 abs_top_builddir = @abs_top_builddir@
168 abs_top_srcdir = @abs_top_srcdir@
169 ac_configure_args = @ac_configure_args@
170 ac_ct_CC = @ac_ct_CC@
171 ac_ct_CXX = @ac_ct_CXX@
172 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
173 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
174 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
175 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
176 am__include = @am__include@
177 am__leading_dot = @am__leading_dot@
178 am__quote = @am__quote@
179 am__tar = @am__tar@
180 am__untar = @am__untar@
181 bindir = @bindir@
182 build = @build@
183 build_alias = @build_alias@
184 build_cpu = @build_cpu@
185 build_id = @build_id@
186 build_os = @build_os@
187 build_vendor = @build_vendor@
188 datadir = @datadir@
189 datarootdir = @datarootdir@
190 docdir = @docdir@
191 dvidir = @dvidir@
192 exec_prefix = @exec_prefix@
193 host = @host@
194 host_alias = @host_alias@
195 host_cpu = @host_cpu@
196 host_os = @host_os@
197 host_vendor = @host_vendor@
198 htmldir = @htmldir@
199 includedir = @includedir@
200 infodir = @infodir@
201 install_sh = @install_sh@
202 libdir = @libdir@
203 libexecdir = @libexecdir@
204 localedir = @localedir@
205 localstatedir = @localstatedir@
206 mandir = @mandir@
207 mkdir_p = @mkdir_p@
208 oldincludedir = @oldincludedir@
209 pdfdir = @pdfdir@
210 prefix = @prefix@
211 program_transform_name = @program_transform_name@
212 psdir = @psdir@
213 pth_skaddr_makecontext = @pth_skaddr_makecontext@
214 pth_sksize_makecontext = @pth_sksize_makecontext@
215 sbindir = @sbindir@
216 sharedstatedir = @sharedstatedir@
217 sysconfdir = @sysconfdir@
218 target = @target@
219 target_alias = @target_alias@
220 target_cpu = @target_cpu@
221 target_os = @target_os@
222 target_vendor = @target_vendor@
223 INCLUDES = -I$(top_srcdir)/include
224 EXTRA_DIST = small_platform.xml
225 CLEANFILES = sd_test.trace
226 TESTS = test_simdag
227 sd_test_SOURCES = sd_test.c
228 sd_test_LDADD = $(top_builddir)/src/libsimgrid.la
229 all: all-am
230
231 .SUFFIXES:
232 .SUFFIXES: .c .lo .o .obj
233 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
234         @for dep in $?; do \
235           case '$(am__configure_deps)' in \
236             *$$dep*) \
237               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
238                 && exit 0; \
239               exit 1;; \
240           esac; \
241         done; \
242         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/simdag/Makefile'; \
243         cd $(top_srcdir) && \
244           $(AUTOMAKE) --gnu  examples/simdag/Makefile
245 .PRECIOUS: Makefile
246 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
247         @case '$?' in \
248           *config.status*) \
249             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
250           *) \
251             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
252             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
253         esac;
254
255 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
256         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
257
258 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
259         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
260 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
261         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
262 test_simdag: $(top_builddir)/config.status $(srcdir)/test_simdag.in
263         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
264
265 clean-checkPROGRAMS:
266         @list='$(check_PROGRAMS)'; for p in $$list; do \
267           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
268           echo " rm -f $$p $$f"; \
269           rm -f $$p $$f ; \
270         done
271 sd_test$(EXEEXT): $(sd_test_OBJECTS) $(sd_test_DEPENDENCIES) 
272         @rm -f sd_test$(EXEEXT)
273         $(LINK) $(sd_test_LDFLAGS) $(sd_test_OBJECTS) $(sd_test_LDADD) $(LIBS)
274
275 mostlyclean-compile:
276         -rm -f *.$(OBJEXT)
277
278 distclean-compile:
279         -rm -f *.tab.c
280
281 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
282
283 .c.o:
284 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
285 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
286 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
287 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
288 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
289
290 .c.obj:
291 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
292 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
293 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
294 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
295 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
296
297 .c.lo:
298 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
299 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
300 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
301 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
302 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
303
304 mostlyclean-libtool:
305         -rm -f *.lo
306
307 clean-libtool:
308         -rm -rf .libs _libs
309
310 distclean-libtool:
311         -rm -f libtool
312 uninstall-info-am:
313
314 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
315         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
316         unique=`for i in $$list; do \
317             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
318           done | \
319           $(AWK) '    { files[$$0] = 1; } \
320                END { for (i in files) print i; }'`; \
321         mkid -fID $$unique
322 tags: TAGS
323
324 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
325                 $(TAGS_FILES) $(LISP)
326         tags=; \
327         here=`pwd`; \
328         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
329         unique=`for i in $$list; do \
330             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
331           done | \
332           $(AWK) '    { files[$$0] = 1; } \
333                END { for (i in files) print i; }'`; \
334         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
335           test -n "$$unique" || unique=$$empty_fix; \
336           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
337             $$tags $$unique; \
338         fi
339 ctags: CTAGS
340 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
341                 $(TAGS_FILES) $(LISP)
342         tags=; \
343         here=`pwd`; \
344         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
345         unique=`for i in $$list; do \
346             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
347           done | \
348           $(AWK) '    { files[$$0] = 1; } \
349                END { for (i in files) print i; }'`; \
350         test -z "$(CTAGS_ARGS)$$tags$$unique" \
351           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
352              $$tags $$unique
353
354 GTAGS:
355         here=`$(am__cd) $(top_builddir) && pwd` \
356           && cd $(top_srcdir) \
357           && gtags -i $(GTAGS_ARGS) $$here
358
359 distclean-tags:
360         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
361
362 check-TESTS: $(TESTS)
363         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
364         srcdir=$(srcdir); export srcdir; \
365         list='$(TESTS)'; \
366         if test -n "$$list"; then \
367           for tst in $$list; do \
368             if test -f ./$$tst; then dir=./; \
369             elif test -f $$tst; then dir=; \
370             else dir="$(srcdir)/"; fi; \
371             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
372               all=`expr $$all + 1`; \
373               case " $(XFAIL_TESTS) " in \
374               *" $$tst "*) \
375                 xpass=`expr $$xpass + 1`; \
376                 failed=`expr $$failed + 1`; \
377                 echo "XPASS: $$tst"; \
378               ;; \
379               *) \
380                 echo "PASS: $$tst"; \
381               ;; \
382               esac; \
383             elif test $$? -ne 77; then \
384               all=`expr $$all + 1`; \
385               case " $(XFAIL_TESTS) " in \
386               *" $$tst "*) \
387                 xfail=`expr $$xfail + 1`; \
388                 echo "XFAIL: $$tst"; \
389               ;; \
390               *) \
391                 failed=`expr $$failed + 1`; \
392                 echo "FAIL: $$tst"; \
393               ;; \
394               esac; \
395             else \
396               skip=`expr $$skip + 1`; \
397               echo "SKIP: $$tst"; \
398             fi; \
399           done; \
400           if test "$$failed" -eq 0; then \
401             if test "$$xfail" -eq 0; then \
402               banner="All $$all tests passed"; \
403             else \
404               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
405             fi; \
406           else \
407             if test "$$xpass" -eq 0; then \
408               banner="$$failed of $$all tests failed"; \
409             else \
410               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
411             fi; \
412           fi; \
413           dashes="$$banner"; \
414           skipped=""; \
415           if test "$$skip" -ne 0; then \
416             skipped="($$skip tests were not run)"; \
417             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
418               dashes="$$skipped"; \
419           fi; \
420           report=""; \
421           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
422             report="Please report to $(PACKAGE_BUGREPORT)"; \
423             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
424               dashes="$$report"; \
425           fi; \
426           dashes=`echo "$$dashes" | sed s/./=/g`; \
427           echo "$$dashes"; \
428           echo "$$banner"; \
429           test -z "$$skipped" || echo "$$skipped"; \
430           test -z "$$report" || echo "$$report"; \
431           echo "$$dashes"; \
432           test "$$failed" -eq 0; \
433         else :; fi
434
435 distdir: $(DISTFILES)
436         $(mkdir_p) $(distdir)/../../acmacro
437         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
438         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
439         list='$(DISTFILES)'; for file in $$list; do \
440           case $$file in \
441             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
442             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
443           esac; \
444           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
445           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
446           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
447             dir="/$$dir"; \
448             $(mkdir_p) "$(distdir)$$dir"; \
449           else \
450             dir=''; \
451           fi; \
452           if test -d $$d/$$file; then \
453             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
454               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
455             fi; \
456             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
457           else \
458             test -f $(distdir)/$$file \
459             || cp -p $$d/$$file $(distdir)/$$file \
460             || exit 1; \
461           fi; \
462         done
463 check-am: all-am
464         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
465         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
466 check: check-am
467 all-am: Makefile
468 installdirs:
469 install: install-am
470 install-exec: install-exec-am
471 install-data: install-data-am
472 uninstall: uninstall-am
473
474 install-am: all-am
475         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
476
477 installcheck: installcheck-am
478 install-strip:
479         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
480           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
481           `test -z '$(STRIP)' || \
482             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
483 mostlyclean-generic:
484
485 clean-generic:
486         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
487
488 distclean-generic:
489         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
490
491 maintainer-clean-generic:
492         @echo "This command is intended for maintainers to use"
493         @echo "it deletes files that may require special tools to rebuild."
494 clean: clean-am
495
496 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
497         mostlyclean-am
498
499 distclean: distclean-am
500         -rm -rf ./$(DEPDIR)
501         -rm -f Makefile
502 distclean-am: clean-am distclean-compile distclean-generic \
503         distclean-libtool distclean-tags
504
505 dvi: dvi-am
506
507 dvi-am:
508
509 html: html-am
510
511 info: info-am
512
513 info-am:
514
515 install-data-am:
516
517 install-exec-am:
518
519 install-info: install-info-am
520
521 install-man:
522
523 installcheck-am:
524
525 maintainer-clean: maintainer-clean-am
526         -rm -rf ./$(DEPDIR)
527         -rm -f Makefile
528 maintainer-clean-am: distclean-am maintainer-clean-generic
529
530 mostlyclean: mostlyclean-am
531
532 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
533         mostlyclean-libtool
534
535 pdf: pdf-am
536
537 pdf-am:
538
539 ps: ps-am
540
541 ps-am:
542
543 uninstall-am: uninstall-info-am
544
545 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
546         clean-checkPROGRAMS clean-generic clean-libtool ctags \
547         distclean distclean-compile distclean-generic \
548         distclean-libtool distclean-tags distdir dvi dvi-am html \
549         html-am info info-am install install-am install-data \
550         install-data-am install-exec install-exec-am install-info \
551         install-info-am install-man install-strip installcheck \
552         installcheck-am installdirs maintainer-clean \
553         maintainer-clean-generic mostlyclean mostlyclean-compile \
554         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
555         tags uninstall uninstall-am uninstall-info-am
556
557
558 dist-files:
559         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
560         @echo
561         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
562 # Tell versions [3.59,3.63) of GNU make to not export all variables.
563 # Otherwise a system limit (for SysV at least) may be exceeded.
564 .NOEXPORT: